Page MenuHomePhabricator

Wikilink - Upgrade Django to 4.2
Closed, ResolvedPublic

Description

Wikilink is currently running on Django 3.1. That version of Django is now unmaintained. We should upgrade to Django 4.2, which is the most recent LTS version.

Event Timeline

Scardenasmolinar changed the task status from Open to In Progress.Oct 27 2023, 7:16 PM
Scardenasmolinar claimed this task.
Scardenasmolinar moved this task from Ready to In Progress on the Moderator-Tools-Team (Kanban) board.

I updated Wikilink from 3.1 to 3.2 successfully, but am having trouble from 3.2 to 4.0. I'll continue to work on it after the weekend.

I deleted the last message because I will incorporate the django-cron update in this PR because that is something we can do in GitHub. PR is still this: https://github.com/WikipediaLibrary/externallinks/pull/279

jsn.sherman changed the task status from In Progress to Stalled.Nov 6 2023, 2:42 PM
jsn.sherman changed the task status from Stalled to In Progress.Nov 7 2023, 6:51 PM
jsn.sherman moved this task from Code review to Done on the Moderator-Tools-Team (Kanban) board.

merged and awaiting deployment

I'm watching for the deploy in case I need to run any commands for the db upgrade

deployed and db upgraded. Done!